/*
 *  Copyright (c) 2008 Cyrille Berger <cberger@cberger.net>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation;
 * either version 2, or (at your option) any later version of the License.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this library; see the file COPYING.  If not, write to
 * the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA 02110-1301, USA.
 */

#include "Pipeline_p.h"

using namespace GTLGlue;

Pipeline::Pipeline() : d(new Private)
{
}

Pipeline::~Pipeline()
{
  delete d;
}

void Pipeline::appendSource( const GTLCore::PixelDescription& _pd )
{
  d->appendSource( _pd );
}

void Pipeline::appendDestination( const GTLCore::PixelDescription& _pd )
{
  d->appendDestination( _pd );
}

OutputNode* Pipeline::sourceNode( unsigned int _index)
{
  return d->sourceNode( _index );
}

InputNode* Pipeline::destinationNode( unsigned int _index)
{
  return d->destinationNode( _index );
}

void Pipeline::appendProcessingNode( ProcessingNode* _processingNode )
{
  d->appendProcessingNode( _processingNode );
  _processingNode->setPipeline( this );
}

