/*
 *  Copyright (c) 2008 Cyrille Berger <cberger@cberger.net>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation;
 * either version 2, or (at your option) any later version of the License.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this library; see the file COPYING.  If not, write to
 * the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA 02110-1301, USA.
 */

#ifndef _GTLGlue_SOURCE_NODE_H_
#define _GTLGlue_SOURCE_NODE_H_

#include <GTLGlue/OutputNode.h>

namespace GTLCore {
  class PixelDescription;
}

namespace GTLGlue {
  /**
   * @ingroup GTLGlue
   * @internal
   * This is an internal class which defines a node that output one of the source \ref GTLCore::AbstractImage
   * from the \ref Pipeline.
   */
  class SourceNode : public OutputNode {
    public:
      SourceNode( const GTLCore::PixelDescription& );
      ~SourceNode();
  };
}

#endif
